<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li class="current"><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_m"></a>- m -</h3><ul>
<li>MaxCollision()
: <a class="el" href="classTIGL.html#a1b572a77f00388592162ff8ffe408891">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersSubgraphBase.html#aac204b3c1f12a1b1741b4b8c11635298">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>maxCombineMessages()
: <a class="el" href="classTIGLApiCombiner.html#abf2cf34e736dd01ce02d637874e8d142">TIGLApiCombiner&lt; ALG_MESSAGE_TYPE &gt;</a>
</li>
<li>maxContent()
: <a class="el" href="classTIGLApiMessage.html#a521939564e210bb83a38bc6e27c1ab4c">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>memory_usage()
: <a class="el" href="classTIGLContainersSubgraph.html#ae27a0acc9bb8d2752d12381c8977d632">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
, <a class="el" href="classTIGLContainersSubgraphBase.html#ab9dafb37fe969bb2f7a2f13389140124">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>memoryUsage()
: <a class="el" href="classTIGL.html#a5c9a66bdfdacb4f33981b7a7c3c5cec8">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersSubgraphBase.html#aa0d58cb49ff7fe169f56d9e933d63d13">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>messages2Bytes()
: <a class="el" href="classTIGLCommunicationManager.html#acbe3506a4b314c7f03d1ea6c2f610fbf">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>minCombineMessages()
: <a class="el" href="classTIGLApiCombiner.html#a34d57c2049fdd0b687e13555bc2bc78c">TIGLApiCombiner&lt; ALG_MESSAGE_TYPE &gt;</a>
</li>
<li>minContent()
: <a class="el" href="classTIGLApiMessage.html#aca36b71d7530df34480482b909c5bd95">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>mutateDistributedGraphFromFile()
: <a class="el" href="classTIGL.html#a97db1aace1b818b2642ec093ef1567c0">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>mutateLocalSubgraphFromFile()
: <a class="el" href="classTIGL.html#aeb111e5790f7118a8602e02ed7a574a9">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>mutateProcessOneLine()
: <a class="el" href="classTIGL.html#a9b1c21d26fd2410cc80c024924ffd2bf">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
